Subject: bug#31786: 'pre-inst-env guix --version' is not updated by new commits"

From: George Clemmer <[email-masked]>
Date: Thu, 14 Jun 2018 11:18:08 -0400

Leo Famulari <[email-masked]> writes:

> On Wed, Jun 13, 2018 at 08:54:49AM +0200, Ludovic Courtès wrote:
>> The other aspect, from a maintenance and readability viewpoint, is that
>> we could quickly add up lots of explanations that we’ll have to keep
>> up-to-date and that may make more important information harder to find.
>
> Yeah, I'm worried about this too. It's tough to strike the correct
> balance.

IMO Guix is great for hackers, maintainers and sysops. The doc is
appropriate for such users, well done, spare, and already voluminous.

This footnote suggestion, and others rejected in the past, are motivated
by my assumption that you will want to make Guix attractive to less
sophisticated users.

Maybe my assumption is wrong? Maybe you want only "elite" users?

Or maybe you want to defer the less sophisticated users to later in the
development cycle?